org.apache.maven.scm.provider.synergy.command.update

## Class SynergyUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.synergy.command.update.SynergyUpdateCommand

All Implemented Interfaces:
  Command, SynergyCommand

    public class SynergyUpdateCommand
    extends AbstractUpdateCommand
    implements SynergyCommand

Version:
  $Id: SynergyUpdateCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Julien Henry

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SynergyUpdateCommand()`

### Method Summary

Methods
`static void` `copyDirectoryStructure(File sourceDirectory, File destinationDirectory, List modifications)` Copies a entire directory structure and collect modifications.
`protected UpdateScmResult` `executeUpdateCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version)`
`protected ChangeLogCommand` `getChangeLogCommand()`

### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyUpdateCommand

    public SynergyUpdateCommand()

### Method Detail

#### executeUpdateCommand

    protected UpdateScmResult executeUpdateCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       ScmVersion version)
                                            throws ScmException

Specified by:
  `executeUpdateCommand` in class `AbstractUpdateCommand`
Throws:
  `ScmException`

#### getChangeLogCommand

    protected ChangeLogCommand getChangeLogCommand()

Specified by:
  `getChangeLogCommand` in class `AbstractUpdateCommand`

#### copyDirectoryStructure

    public static void copyDirectoryStructure(File sourceDirectory,
                              File destinationDirectory,
                              List modifications)
                                       throws IOException

Copies a entire directory structure and collect modifications.

Note:

- It will include empty directories.
- The `sourceDirectory` must exists.

Parameters:
  `sourceDirectory` -
  `destinationDirectory` -
Throws:
  `IOException`